ChangeSet 1.1371.759.38, 2004/04/27 17:33:52-07:00, greg@kroah.com

USB: fix compiler warnings in devices.c file.


 drivers/usb/core/devices.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/core/devices.c b/drivers/usb/core/devices.c
--- a/drivers/usb/core/devices.c	Fri May 14 15:31:48 2004
+++ b/drivers/usb/core/devices.c	Fri May 14 15:31:48 2004
@@ -237,7 +237,7 @@
 	const struct usb_interface *iface,
 	int setno)
 {
-	struct usb_interface_descriptor *desc = &intfc->altsetting[setno].desc;
+	const struct usb_interface_descriptor *desc = &intfc->altsetting[setno].desc;
 	char *driver_name = "";
 
 	if (start > end)
@@ -268,7 +268,7 @@
 	const struct usb_interface *iface,
 	int setno
 ) {
-	struct usb_host_interface *desc = &intfc->altsetting[setno];
+	const struct usb_host_interface *desc = &intfc->altsetting[setno];
 	int i;
 
 	start = usb_dump_interface_descriptor(start, end, intfc, iface, setno);
